Bug 1463112 - EC version not updating to latest post healing when another brick is down
Summary: EC version not updating to latest post healing when another brick is down
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: RHGS 3.4.0
Assignee: Ashish Pandey
QA Contact: Upasana
URL:
Whiteboard: rebase
Depends On:
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-06-20 07:26 UTC by nchilaka
Modified: 2018-09-04 06:33 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:32:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:33:53 UTC

Description nchilaka 2017-06-20 07:26:13 UTC
Description of problem:
=======================
When we bring down another brick before bringing up a brick which requires healing, the ec version is not updating to lates post the healing of brick1

Version-Release number of selected component (if applicable):
=======
3.8.4-28

How reproducible:
========
always

Steps to Reproduce:
1.have a 4+2 ecvol
2.create a dir dir1 and some file say dir1/a{1..10}
3.now bring down b1 and create dir1/b{1..10}
4. now bring down b2 and bring up b1
5. wait for heal to complete,note that heal info will still show as pending as per current ec design it needs all bricks to be up for removing entries
6. check for healing is completed or not from brick background
7. now check the ec version of the sink brick using exattrs

The ec version on sink brick is not updating to latest version


##### SINK BRICK #############
[root@dhcp35-45 ~]# getfattr -d -m . -e hex /rhs/brick10/disperse/dir1
getfattr: Removing leading '/' from absolute path names
# file: rhs/brick10/disperse/dir1
security.selinux=0x73797374656d5f753a6f626a6563745f723a676c7573746572645f627269636b5f743a733000
trusted.ec.version=0x0000000000000014000000000000000c
trusted.gfid=0x764460665cec449fbcd100384374d925
trusted.glusterfs.dht=0x000000010000000000000000ffffffff



####### SOURCE BRICK ##########
[root@dhcp35-45 ~]# getfattr -d -m . -e hex /rhs/brick11/disperse/dir1
getfattr: Removing leading '/' from absolute path names
# file: rhs/brick11/disperse/dir1
security.selinux=0x73797374656d5f753a6f626a6563745f723a676c7573746572645f627269636b5f743a733000
trusted.ec.dirty=0x00000000000000000000000000000000
trusted.ec.version=0x00000000000000140000000000000016
trusted.gfid=0x764460665cec449fbcd100384374d925
trusted.glusterfs.dht=0x000000010000000000000000ffffffff


This problem is gone, once i bring back b2 up

Comment 2 Atin Mukherjee 2017-06-21 08:44:45 UTC
As discussed and agreed upon by all the stake holders, deferring this bug from rhgs-3.3.0

Comment 8 errata-xmlrpc 2018-09-04 06:32:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.